modules

# Class: samba3domain

Source Location: /lib/account.inc

### Class Overview

Represents a Samba 3 domain entry

### Variables

- $dn
- $maxPwdAge
- $minPwdAge
- $name
- $nextGroupRID
- $nextRID
- $nextUserRID
- $RIDbase
- $SID

### Class Details

[line 356]
Represents a Samba 3 domain entry
[ Top ]

### Class Variables

#### $dn =

[line 359]

DN

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $maxPwdAge =

[line 383]

seconds after the password must be changed

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $minPwdAge =

[line 380]

seconds after the password can be changed

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $name =

[line 362]

Domain name

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextGroupRID =

[line 374]

Next group RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextRID =

[line 368]

Next RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextUserRID =

[line 371]

Next user RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $RIDbase = 1000

[line 377]

RID base to calculate RIDs, default 1000

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $SID =

[line 365]

Domain SID

#### Tags:

access: | public

Type: | mixed

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:52 +0200 by phpDocumentor 1.4.1